locked
Cannot find symbol, package android.support.v7. does not exist, How to solve this? RRS feed

  • Question

  • User134001 posted

    Hello I don't find any solution to solve this errors ::

    Error error: cannot find symbol public void onInflate (android.support.v7.widget.ViewStubCompat p0, android.view.View p1) symbol: class ViewStubCompat location: package android.support.v7.widget
    File: ViewStubCompat_OnInflateListenerImplementor.java

    Error error: cannot find symbol private native void nonInflate (android.support.v7.widget.ViewStubCompat p0, android.view.View p1); symbol: class ViewStubCompat location: package android.support.v7.widget
    File: ViewStubCompat
    OnInflateListenerImplementor.java

    Error error: package android.support.v7.widget.ContentFrameLayout does not exist android.support.v7.widget.ContentFrameLayout.OnAttachListener
    File: ContentFrameLayout_OnAttachListenerImplementor.java

    Error error: package android.support.v7.widget.FitWindowsViewGroup does not exist android.support.v7.widget.FitWindowsViewGroup.OnFitSystemWindowsListener
    File: FitWindowsViewGroup_OnFitSystemWindowsListenerImplementor.java

    Error error: package android.support.v7.widget.ViewStubCompat does not exist android.support.v7.widget.ViewStubCompat.OnInflateListener
    File: ViewStubCompat_OnInflateListenerImplementor.java

    packages.config ::

    <packages> <package id="Xamarin.Android.Support.v4" version="23.1.1.0" targetFramework="monoandroid403" /> <package id="Xamarin.Android.Support.v7.AppCompat" version="23.1.1.0" targetFramework="monoandroid403" /> </packages>

    I hope solve the problems My regards,,

    Thursday, February 4, 2016 9:30 PM

All replies

  • User1175 posted

    Hi @SamerAlshurafa

    Have you updated your SDKs and API version to latest 23 ? It might help you in this problem.

    Cheers! RIYAZ

    Sunday, February 7, 2016 4:21 PM
  • User134001 posted

    I will try it Thanks :)

    Monday, February 8, 2016 3:49 AM